#ifndef __PKT_ETH_HEADER_INCLUDED__
#define __PKT_ETH_HEADER_INCLUDED__

/* Ethernet II */
struct pkt_ethhdr {
	u_int8_t	dst[6];
	u_int8_t	src[6];
	u_int16_t	proto;
};

/* 802.3 MAC header */
struct pkt_machdr {
	u_int8_t	dst[6];
	u_int8_t	src[6];
	u_int16_t	len;
};

/* 802.2 Logical Link control */
struct pkt_llchdr {
	u_int8_t	dsap,lsap;
	u_int8_t	ctrl;
};

/* Sub-Network Access protocol */
/* XXX: Packed to stop gcc padding the 3 byte array to 4 bytes */
struct pkt_snaphdr {
	u_int8_t	org[3];
	u_int16_t	proto;
}__attribute__((packed));


#endif /* __PKT_ETH_HEADER_INCLUDED__ */
